/*-----------------------------------------------------------------------------
[名称]	UnicoderDlg.h
[概要]	ユニコード文字定義ダイアログクラスのヘッダ
[備考]	なし
[履歴]	2003-02-25	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_CUnicoderDlg_H_INCLUDED_)
#define AFX_CUnicoderDlg_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//-----------------------------------------------------------------------------
// インクルード
//-----------------------------------------------------------------------------
#include <afxtempl.h>
#include "UnicodeFontListCtrl.h"
#include "OwnerTabPage.h"

/*-----------------------------------------------------------------------------
[名称]	ユニコード文字定義ダイアログクラス
[用途]	ユニコードの表示フォントを定義するダイアログ。
[備考]	子ダイアログとして CUnicoderFontDlg を使用する。
-----------------------------------------------------------------------------*/
class CUnicoderDlg : public COwnerTabPage
{
// コンストラクション
public:
	CUnicoderDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	void Confirm(){ UpdateData( TRUE ); };

	void VisibleControl();

// ダイアログ データ
	//{{AFX_DATA(CUnicoderDlg)
	enum { IDD = IDD_UNICODER };
	CButton	m_btnEdit;
	CUnicodeFontListCtrl	m_FontList;
	CButton	m_btnUp;
	CButton	m_btnDown;
	CButton	m_btnDelete;
	CButton	m_btnAdd;
	BOOL	m_bEnable;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CUnicoderDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CUnicoderDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnUnicoderAdd();
	afx_msg void OnUnicoderEdit();
	afx_msg void OnUnicoderDelete();
	afx_msg void OnUnicoderUp();
	afx_msg void OnUnicoderDown();
	afx_msg void OnItemchangedUnicoderFontlist(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_CUnicoderDlg_H_INCLUDED_)
